var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UMB_DICTIONARY_COLLECTION_ALIAS } from '../collection/index.js';
import { html, customElement, state } from '../../../external/lit/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
let UmbDictionaryCollectionDashboardElement = class UmbDictionaryCollectionDashboardElement extends UmbLitElement {
    constructor() {
        super(...arguments);
        this._tableConfig = {
            allowSelection: false,
        };
    }
    render() {
        return html ` <umb-collection alias=${UMB_DICTIONARY_COLLECTION_ALIAS}></umb-collection>`;
    }
};
__decorate([
    state()
], UmbDictionaryCollectionDashboardElement.prototype, "_tableConfig", void 0);
UmbDictionaryCollectionDashboardElement = __decorate([
    customElement('umb-dictionary-collection-dashboard')
], UmbDictionaryCollectionDashboardElement);
export { UmbDictionaryCollectionDashboardElement };
export default UmbDictionaryCollectionDashboardElement;
